# Update SKU stock levels and related properties

Products
            Plans
          
        
        
          
            
              
              Formerly ShipEngine
            
            
              Free
              Advanced
              Enterprise
            
          
          
            
              
            
            
              Free
              Starter
              Standard
              Premium
            
          
        
      
      
        
          Learn about products and plans

Endpoint: POST /v2/inventory
Version: 2.0.0
Security: api_keys

## Request fields (application/json):

  - `transaction_type` (string, required)
    The type of update to perform:
  increment: Increase inventory quantity for specified location.
  decrement: Decreate inventory quantity for specified location given a set of filters.
  adjust: Adjust on hand quantity of inventory for specified location to the quantity indicated. This is done by either adding or removing inventory in the condition specified.
  modify: Modify attributes on specified inventory. The filters work the same as for decrement transaction type.
    Enum: "increment", "decrement", "adjust", "modify"

  - `inventory_location_id` (string, required)

  - `sku` (string, required)

  - `quantity` (integer, required)

  - `cost` (object)

  - `cost.amount` (number)

  - `cost.currency` (string)

  - `condition` (string)
    Enum: "sellable", "damaged", "expired", "qa_hold"

  - `lot` (string)

  - `usable_start_date` (string)

  - `usable_end_date` (string)

  - `effective_at` (string)

  - `reason` (string)

  - `notes` (string)

  - `new_inventory_location_id` (string)
    Used with the modify transaction type to move inventory to a new location

  - `new_cost` (object)
    Used with the modify transaction type to update the cost of existing inventory

  - `new_cost.amount` (number)

  - `new_cost.currency` (string)

  - `new_condition` (string)
    Used with the modify transaction type to change the condition of existing inventory
    Enum: "sellable", "damaged", "expired", "qa_hold"


## Response 204 fields
